[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: All services that require a restart from libc6 upgrade...

Chris Waters <xtifr@dsp.net> writes:

> On Mon, Oct 16, 2000 at 04:23:43PM -0400, Ben Collins wrote:
> > Ok, I'm tired of having to track all services that might need to be
> > restarted after a libc6 upgrade. So here's what I am going to do. I want
> > to require all packages that need this to declare a new reply in it's init
> > script. It's very simple, I check your init script like this:
> I strongly object to this proposal (even though it affects none of my
> packages).  The problem is clearly real, and it makes sense to have
> the services clean up after themselves, rather than force the poor
> libc team to track them all and clean up after the ones that need it.
> Nevertheless, IMO, this is not the proper solution!

And what happens to third party services that were running when the system was

We need to find a way to not require the restarts. Perhaps the nss modules
could provide the old nss functions as versioned 2.0 symbols? 

(Sigh, this would all go away if people just bumped sonames when they had to.)


Reply to: